package com.ruoyi.system.domain.sqmy;

import com.ruoyi.system.domain.ProposalUnitReply;
import com.ruoyi.system.domain.ZxFj;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 社情民意信息对象 sqmy_info
 *
 * @author boman
 * @date 2024-03-15
 */
public class SqmyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 社情民意ID */
    private Long sqmyId;

    /** 上报人ID */
    @Excel(name = "上报人ID")
    private Long sqmyUserId;

    /** 社情民意号 */
    @Excel(name = "社情民意号")
    private String sqmyNumber;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 主题类型1：经济建设类，2：政治建设类，3：文化建设类，4：社会建设类，5：生态文明建设类，6：其他 */
    @Excel(name = "主题类型1：经济建设类，2：政治建设类，3：文化建设类，4：社会建设类，5：生态文明建设类，6：其他")
    private String topicType;

    /** 打回理由 */
    @Excel(name = "打回理由")
    private String backReason;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String lxrName;

    /** 联系人手机号码 */
    @Excel(name = "联系人手机号码")
    private String lxrPhone;

    /** 上报人姓名 */
    @Excel(name = "上报人姓名")
    private String sqmyName;

    /** 上报人手机号码 */
    @Excel(name = "上报人手机号码")
    private String sqmyPhone;

    /** 社情民意内容 */
    @Excel(name = "社情民意内容")
    private String sqmyContent;

    /** 同意公开（0是 1否） */
    @Excel(name = "同意公开", readConverterExp = "0=是,1=否")
    private String isPublicity;

    /** 是否涉密（0是 1否） */
    @Excel(name = "是否涉密", readConverterExp = "0=是,1=否")
    private String isSecret;

    /** 工作单位及职务 */
    @Excel(name = "工作单位及职务")
    private String unit;

    /** 是否立案（0是 1否） */
    @Excel(name = "是否立案", readConverterExp = "0=是,1=否")
    private String isRecord;

    /** 社情民意进度(0：提交提案，1：提案审查，2：提案立案，3:提案不立案，4：提案交办，5：提案办理，6：提案审核，7：审核不通过，8：已办结） */
    @Excel(name = "社情民意进度(0：提交提案，1：提案审查，2：提案立案，3:提案不立案，4：提案交办，5：提案办理，6：提案审核，7：审核不通过，8：已办结）")
    private String sqmyProgress;

    /** 滚动办理（0是 1否） */
    @Excel(name = "滚动办理", readConverterExp = "0=是,1=否")
    private String rollingProcess;

    /** 提案答复类型(A：A类，B：B类，C：C类) */
    @Excel(name = "提案答复类型(A：A类，B：B类，C：C类)")
    private String complexType;

    /** 是否被并案（0是 1否） */
    @Excel(name = "是否被并案", readConverterExp = "0=是,1=否")
    private String isCasesTogether;

    /** 被并案的案件id */
    @Excel(name = "被并案的案件id")
    private Long uniteSqmyId;

    /** 承办单位答复委员 */
    @Excel(name = "承办单位答复委员")
    private String cbdwdfwy;

    /** 委员满意程度（0：不满意，1：一般，2：满意，3：非常满意） */
    @Excel(name = "委员满意程度", readConverterExp = "0=：不满意，1：一般，2：满意，3：非常满意")
    private String satisfaction;

    /** 委员意见 */
    @Excel(name = "委员意见")
    private String membersOpinion;

    /** 政协满意程度（0：不满意，1：一般，2：满意，3：非常满意） */
    @Excel(name = "政协满意程度", readConverterExp = "0=：不满意，1：一般，2：满意，3：非常满意")
    private String zxSatisfaction;

    /** 政协意见 */
    @Excel(name = "政协意见")
    private String zxOpinion;

    /** 是否推荐重点（0是 1否） */
    @Excel(name = "是否推荐重点", readConverterExp = "0=是,1=否")
    private String isKeyPoint;

    /** 推荐重点理由 */
    @Excel(name = "推荐重点理由")
    private String keyPointArgument;

    /** 是否推荐优秀（0是 1否） */
    @Excel(name = "是否推荐优秀", readConverterExp = "0=是,1=否")
    private String isOutstanding;

    /** 推荐优秀理由 */
    @Excel(name = "推荐优秀理由")
    private String outstandingArgument;

    /** 附件 */
    private List<ZxFj> zxFjList;
    /** 单位回复 */
    private List<SqmyUnitReply> sqmyUnitReplyList;
    /**主办单位*/
    private SqmyUnitReply zbUnitReply;


    /** 部门id */
    private Long deptId;

    /** 单位类型 */
    private String dwType;

    private String endTime;
    private String startTime;

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getBackReason() {
        return backReason;
    }

    public void setBackReason(String backReason) {
        this.backReason = backReason;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDwType() {
        return dwType;
    }

    public void setDwType(String dwType) {
        this.dwType = dwType;
    }

    public SqmyUnitReply getZbUnitReply() {
        return zbUnitReply;
    }

    public void setZbUnitReply(SqmyUnitReply zbUnitReply) {
        this.zbUnitReply = zbUnitReply;
    }

    public List<ZxFj> getZxFjList() {
        return zxFjList;
    }

    public void setZxFjList(List<ZxFj> zxFjList) {
        this.zxFjList = zxFjList;
    }

    public List<SqmyUnitReply> getSqmyUnitReplyList() {
        return sqmyUnitReplyList;
    }

    public void setSqmyUnitReplyList(List<SqmyUnitReply> sqmyUnitReplyList) {
        this.sqmyUnitReplyList = sqmyUnitReplyList;
    }

    public void setSqmyId(Long sqmyId)
    {
        this.sqmyId = sqmyId;
    }

    public Long getSqmyId()
    {
        return sqmyId;
    }
    public void setSqmyUserId(Long sqmyUserId)
    {
        this.sqmyUserId = sqmyUserId;
    }

    public Long getSqmyUserId()
    {
        return sqmyUserId;
    }
    public void setSqmyNumber(String sqmyNumber)
    {
        this.sqmyNumber = sqmyNumber;
    }

    public String getSqmyNumber()
    {
        return sqmyNumber;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setLxrName(String lxrName)
    {
        this.lxrName = lxrName;
    }

    public String getLxrName()
    {
        return lxrName;
    }
    public void setLxrPhone(String lxrPhone)
    {
        this.lxrPhone = lxrPhone;
    }

    public String getLxrPhone()
    {
        return lxrPhone;
    }
    public void setSqmyName(String sqmyName)
    {
        this.sqmyName = sqmyName;
    }

    public String getSqmyName()
    {
        return sqmyName;
    }
    public void setSqmyPhone(String sqmyPhone)
    {
        this.sqmyPhone = sqmyPhone;
    }

    public String getSqmyPhone()
    {
        return sqmyPhone;
    }
    public void setSqmyContent(String sqmyContent)
    {
        this.sqmyContent = sqmyContent;
    }

    public String getSqmyContent()
    {
        return sqmyContent;
    }
    public void setIsPublicity(String isPublicity)
    {
        this.isPublicity = isPublicity;
    }

    public String getIsPublicity()
    {
        return isPublicity;
    }
    public void setIsSecret(String isSecret)
    {
        this.isSecret = isSecret;
    }

    public String getIsSecret()
    {
        return isSecret;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setIsRecord(String isRecord)
    {
        this.isRecord = isRecord;
    }

    public String getIsRecord()
    {
        return isRecord;
    }
    public void setSqmyProgress(String sqmyProgress)
    {
        this.sqmyProgress = sqmyProgress;
    }

    public String getSqmyProgress()
    {
        return sqmyProgress;
    }
    public void setRollingProcess(String rollingProcess)
    {
        this.rollingProcess = rollingProcess;
    }

    public String getRollingProcess()
    {
        return rollingProcess;
    }
    public void setComplexType(String complexType)
    {
        this.complexType = complexType;
    }

    public String getComplexType()
    {
        return complexType;
    }
    public void setIsCasesTogether(String isCasesTogether)
    {
        this.isCasesTogether = isCasesTogether;
    }

    public String getIsCasesTogether()
    {
        return isCasesTogether;
    }
    public void setUniteSqmyId(Long uniteSqmyId)
    {
        this.uniteSqmyId = uniteSqmyId;
    }

    public Long getUniteSqmyId()
    {
        return uniteSqmyId;
    }
    public void setCbdwdfwy(String cbdwdfwy)
    {
        this.cbdwdfwy = cbdwdfwy;
    }

    public String getCbdwdfwy()
    {
        return cbdwdfwy;
    }
    public void setSatisfaction(String satisfaction)
    {
        this.satisfaction = satisfaction;
    }

    public String getSatisfaction()
    {
        return satisfaction;
    }
    public void setMembersOpinion(String membersOpinion)
    {
        this.membersOpinion = membersOpinion;
    }

    public String getMembersOpinion()
    {
        return membersOpinion;
    }
    public void setZxSatisfaction(String zxSatisfaction)
    {
        this.zxSatisfaction = zxSatisfaction;
    }

    public String getZxSatisfaction()
    {
        return zxSatisfaction;
    }
    public void setZxOpinion(String zxOpinion)
    {
        this.zxOpinion = zxOpinion;
    }

    public String getZxOpinion()
    {
        return zxOpinion;
    }
    public void setIsKeyPoint(String isKeyPoint)
    {
        this.isKeyPoint = isKeyPoint;
    }

    public String getIsKeyPoint()
    {
        return isKeyPoint;
    }
    public void setKeyPointArgument(String keyPointArgument)
    {
        this.keyPointArgument = keyPointArgument;
    }

    public String getKeyPointArgument()
    {
        return keyPointArgument;
    }
    public void setIsOutstanding(String isOutstanding)
    {
        this.isOutstanding = isOutstanding;
    }

    public String getIsOutstanding()
    {
        return isOutstanding;
    }
    public void setOutstandingArgument(String outstandingArgument)
    {
        this.outstandingArgument = outstandingArgument;
    }

    public String getOutstandingArgument()
    {
        return outstandingArgument;
    }

    public String getTopicType() {
        return topicType;
    }

    public void setTopicType(String topicType) {
        this.topicType = topicType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("sqmyId", getSqmyId())
                .append("sqmyUserId", getSqmyUserId())
                .append("sqmyNumber", getSqmyNumber())
                .append("title", getTitle())
                .append("lxrName", getLxrName())
                .append("lxrPhone", getLxrPhone())
                .append("sqmyName", getSqmyName())
                .append("sqmyPhone", getSqmyPhone())
                .append("sqmyContent", getSqmyContent())
                .append("isPublicity", getIsPublicity())
                .append("isSecret", getIsSecret())
                .append("unit", getUnit())
                .append("isRecord", getIsRecord())
                .append("sqmyProgress", getSqmyProgress())
                .append("rollingProcess", getRollingProcess())
                .append("complexType", getComplexType())
                .append("isCasesTogether", getIsCasesTogether())
                .append("uniteSqmyId", getUniteSqmyId())
                .append("cbdwdfwy", getCbdwdfwy())
                .append("satisfaction", getSatisfaction())
                .append("membersOpinion", getMembersOpinion())
                .append("zxSatisfaction", getZxSatisfaction())
                .append("zxOpinion", getZxOpinion())
                .append("isKeyPoint", getIsKeyPoint())
                .append("keyPointArgument", getKeyPointArgument())
                .append("isOutstanding", getIsOutstanding())
                .append("outstandingArgument", getOutstandingArgument())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
